%ifarch i686
%define karch i686
%endif
%ifarch x86_64
%define karch x86_64 
%endif

%define kver 2.6.32-201.0.4.el6uek

Name: dtrace-modules
Summary: dtrace module
Version: 2.6.32
Release: 201.0.4.el6uek
License: Redistributable, no modification permitted
Group: System Environment/Kernel
Source0: dtrace-module-%{kver}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: kernel-uek-devel = %{kver}
ExclusiveArch: x86_64

%description
dtrace kernel modules


%prep
rm -rf %{BuildRoot}

%setup -c -n %{name}

%build
ls
cd dtrace
KSRC=/usr/src/kernels/%{kver}.%{karch}
make KERNELDIR=$KSRC karch=%{karch} modules 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/modules/%{kver}.%{karch}/kernel/drivers/dtrace
install -m0644 ${RPM_BUILD_DIR}/%{name}/dtrace/*.ko %{buildroot}/lib/modules/%{kver}.%{karch}/kernel/drivers/dtrace/

%post
depmod -a ${kver} > /dev/null 2> /dev/null

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/lib

%changelog
* Thu Sep 29 2011 Maxim Uvarov <maxim.uvarov@oracle.com> - 0.1
- dtrace_modules 
